gov.ornl.mercury3.services

## Class UserStatUtil_2

- java.lang.Object
- - gov.ornl.mercury3.services.UserStatUtil_2

-     public class UserStatUtil_2
      extends Object

  Coordinates database access using Hibernate /Spring utilities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserStatUtil_2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `populatereferralDB(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Mercury_db_ServiceImpl psi)`
    `boolean` | `populateUserStatDB(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, SolrTransactionDetail solrTransactionDetail, String search_type, Search_Terms st, HashMap<String,String> term1Map, HashMap<String,String> termMap, Mercury_db_ServiceImpl psi)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserStatUtil_2

          public UserStatUtil_2()

  - ### Method Detail

    - #### populateUserStatDB

          public boolean populateUserStatDB(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   SolrTransactionDetail solrTransactionDetail,
                                   String search_type,
                                   Search_Terms st,
                                   HashMap<String,String> term1Map,
                                   HashMap<String,String> termMap,
                                   Mercury_db_ServiceImpl psi)
                                     throws Exception

      Throws:
        `Exception`

    - #### populatereferralDB

          public boolean populatereferralDB(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   Mercury_db_ServiceImpl psi)
                                     throws Exception

      Throws:
        `Exception`

Copyright © 2016. All rights reserved.